org.apache.hadoop.yarn.api.protocolrecords

## Class ReInitializeContainerRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.ReInitializeContainerRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class ReInitializeContainerRequest
      extends Object

  This encapsulates all the required fields needed for a Container ReInitialization.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReInitializeContainerRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `getAutoCommit()` Check if AutoCommit is set for this ReInitialization.
    `abstract ContainerId` | `getContainerId()` Get the `ContainerId` of the container to re-initialize.
    `abstract ContainerLaunchContext` | `getContainerLaunchContext()` Get the `ContainerLaunchContext` to re-initialize the container with.
    `static ReInitializeContainerRequest` | `newInstance(ContainerId containerId, ContainerLaunchContext containerLaunchContext, boolean autoCommit)` Creates a new instance of the ReInitializationContainerRequest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReInitializeContainerRequest

          public ReInitializeContainerRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static ReInitializeContainerRequest newInstance(ContainerId containerId,
                                                                                                                         ContainerLaunchContext containerLaunchContext,
                                                                                                                         boolean autoCommit)

      Creates a new instance of the ReInitializationContainerRequest.
      Parameters:
        `containerId` - Container Id.
        `containerLaunchContext` - Container Launch Context.
        `autoCommit` - AutoCommit.
      Returns:
        ReInitializationContainerRequest.

    - #### getContainerId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ContainerId getContainerId()

      Get the `ContainerId` of the container to re-initialize.
      Returns:
        `ContainerId` of the container to re-initialize.

    - #### getContainerLaunchContext

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ContainerLaunchContext getContainerLaunchContext()

      Get the `ContainerLaunchContext` to re-initialize the container with.
      Returns:
        `ContainerLaunchContext` of to re-initialize the container with.

    - #### getAutoCommit

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract boolean getAutoCommit()

      Check if AutoCommit is set for this ReInitialization.
      Returns:
        If AutoCommit is set for this ReInitialization.

Copyright © 2022 Apache Software Foundation. All rights reserved.